## pynag 0.4.6

=== Makefile ===
VERSION		= 0.4.6
RELEASE		= 1
DATE		= $(shell date)
NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))
PYTHON		= /usr/bin/python

TOPDIR = $(shell pwd)
DIRS	= build docs contrib etc examples pynag scripts debian.upstream
PYDIRS	= pynag scripts examples debian 
EXAMPLEDIR = examples
MANPAGES = pynag

all: rpms

versionfile:
	echo "version:" $(VERSION) > etc/version
	echo "release:" $(RELEASE) >> etc/version
	echo "source build date:" $(DATE) >> etc/version

manpage:
	for manpage in $(MANPAGES); do (pod2man --center=$$manpage --release="" ./docs/$$manpage.pod > ./docs/$$manpage.1); done


build: clean manpage versionfile
	$(PYTHON) setup.py build -f

clean:
	-rm -f  MANIFEST
	-rm -rf dist/ build/
	-rm -rf *~
	-rm -rf rpm-build/
	-rm -rf deb-build/
	-rm -rf docs/*.1
	-rm -f etc/version

clean_hard:
	-rm -rf $(shell $(PYTHON) -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")/pynag 


clean_hardest: clean_rpms


install: build manpage
	$(PYTHON) setup.py install -f

install_hard: clean_hard install

install_harder: clean_harder install

install_hardest: clean_harder clean_rpms rpms install_rpm 

install_rpm:
	-rpm -Uvh rpm-build/pynag-$(VERSION)-$(NEWRELEASE)$(shell rpm -E "%{?dist}").noarch.rpm


recombuild: install_harder 

clean_rpms:
	-rpm -e pynag

sdist: 
	$(PYTHON) setup.py sdist

pychecker:
	-for d in $(PYDIRS); do ($(MAKE) -C $$d pychecker ); done   
pyflakes:
	-for d in $(PYDIRS); do ($(MAKE) -C $$d pyflakes ); done	

money: clean
	-sloccount --addlang "makefile" $(TOPDIR) $(PYDIRS) $(EXAMPLEDIR) 

testit: clean
	-cd test; sh test-it.sh

unittest:
	-nosetests -v -w test/unittest

rpms: build sdist
	mkdir -p rpm-build
	cp dist/*.gz rpm-build/
	rpmbuild --define "_topdir %(pwd)/rpm-build" \
	--define "_builddir %{_topdir}" \
	--define "_rpmdir %{_topdir}" \
	--define "_srcrpmdir %{_topdir}" \
	--define '_rpmfilename %%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
	--define "_specdir %{_topdir}" \
	--define "_sourcedir  %{_topdir}" \
	-ba pynag.spec
debs: build sdist
	mkdir -p deb-build
	cp dist/*gz deb-build/pynag_${VERSION}.orig.tar.gz
	cd deb-build/ ; \
	  tar -zxvf pynag_${VERSION}.orig.tar.gz ; \
	  cd pynag-${VERSION} ;\
	  ln -s debian.upstream debian ;\
	  debuild

=== debian/changelog ===
pynag (0.4.6-1) unstable; urgency=low

  [ Bernd Zeimetz ]
  * New upstream version.
  * Typo fix: Python instead of python.

  [ Clint Byrum ]
  * New upstream version.
  * Adding Vcs-* headers.

 -- Clint Byrum <clint@fewbar.com>  Tue, 04 Dec 2012 23:33:07 -0800

pynag (0.4.4-1) unstable; urgency=low

  [ Pall Sigurdsson ]
  * Initial packaging. Closes: 680954

  [ Clint Byrum ]
  * Various cleanups.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 28 Aug 2012 18:13:46 +0200

=== debian/control ===
Source: pynag
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Clint Byrum <spamaps@debian.org>, Pall Sigurdsson <palli@opensource.is>
Section: python
Priority: optional
Build-Depends: python (>= 2.6.6-3~), debhelper (>= 7.4.3)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/pynag/
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pynag/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pynag/trunk/
X-Python-Version: >= 2.4

Package: python-pynag
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Python Modules for Nagios plugins and configuration
 The main goal of this project is to provide a Python tool for
 pragmatically handling Nagios configuration file maintenance, and
 plugin development.

Package: pynag
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-pynag
Description: Command line interface to nagios configuration
 The main goal of this project is to provide a Python tool for
 pragmatically handling Nagios configuration file maintenance, and
 plugin development.
 .
 This package contains the executable program pynag which uses the
 pynag module to inspect and manipulate nagios configuration.

## pynag 0.4.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		= 0.4.6
+VERSION		= 0.4.9
 RELEASE		= 1
 DATE		= $(shell date)
 NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))

=== debian/changelog ===
pynag (0.4.9-1) unstable; urgency=low

  [ Jakub Wilk ] 
  * Use canonical URIs for Vcs-* fields.

  [ Pall Sigurdsson ]
  * New Upstream release
  * Homepage changed to http://pynag.org

 -- Clint Byrum <spamaps@debian.org>  Sat, 11 May 2013 11:45:20 -0700

pynag (0.4.8-1) unstable; urgency=low

  * New Upstream release

 -- Pall Sigurdsson <palli@opensource.is>  Wed, 03 Apr 2013 12:15:25 +0000

## pynag 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		= 0.4.9
+VERSION		= 0.7.0
 RELEASE		= 1
 DATE		= $(shell date)
 NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))
@@ -92,5 +92,5 @@
 	cd deb-build/ ; \
 	  tar -zxvf pynag_${VERSION}.orig.tar.gz ; \
 	  cd pynag-${VERSION} ;\
-	  ln -s debian.upstream debian ;\
+	  cp -r debian.upstream debian ;\
 	  debuild

=== docs/Makefile ===
MANPAGES="pynag"
all: manpage

manpage:
	for manpage in $(MANPAGES); do (pod2man --center=$$manpage.pod --release="" $$manpage.pod > $$manpage.1; gzip $$manpage.1) done

=== debian/changelog ===
pynag (0.7.0-1) unstable; urgency=low

  * New Upstream release

 -- Pall Sigurdsson <palli@opensource.is>  Wed, 16 Oct 2013 14:53:46 +0000

pynag (0.5.0-1) unstable; urgency=low

  * New Upstream release
  * debian/watch updated to reflect new download url

 -- Pall Sigurdsson <palli@opensource.is>  Fri, 28 Jun 2013 13:40:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Priority: optional
 Build-Depends: python (>= 2.6.6-3~), debhelper (>= 7.4.3)
 Standards-Version: 3.9.3
-Homepage: http://code.google.com/p/pynag/
-Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/pynag/trunk
+Homepage: http://pynag.org
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pynag/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pynag/trunk/
 X-Python-Version: >= 2.4

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/p/pynag/pynag-(.*).tar.gz

## pynag 0.8.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		= 0.7.0
+VERSION		= 0.8.9
 RELEASE		= 1
 DATE		= $(shell date)
 NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))
@@ -21,7 +21,7 @@
 	for manpage in $(MANPAGES); do (pod2man --center=$$manpage --release="" ./docs/$$manpage.pod > ./docs/$$manpage.1); done
 
 
-build: clean manpage versionfile
+build: clean manpage
 	$(PYTHON) setup.py build -f
 
 clean:

=== debian/changelog ===
pynag (0.8.9-1) unstable; urgency=low

  [ Pall Sigurdsson ]
  * New Upstream release

  [ Clint Byrum ]
  * debian/watch: use HTTPS url.

 -- Clint Byrum <spamaps@debian.org>  Thu, 17 Apr 2014 09:13:44 -0700

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/pynag/pynag-(.*).tar.gz

## pynag 0.9.1+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		= 0.8.9
+VERSION		= 0.9.1
 RELEASE		= 1
 DATE		= $(shell date)
 NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))
@@ -17,11 +17,7 @@
 	echo "release:" $(RELEASE) >> etc/version
 	echo "source build date:" $(DATE) >> etc/version
 
-manpage:
-	for manpage in $(MANPAGES); do (pod2man --center=$$manpage --release="" ./docs/$$manpage.pod > ./docs/$$manpage.1); done
-
-
-build: clean manpage
+build: clean
 	$(PYTHON) setup.py build -f
 
 clean:
@@ -40,7 +36,7 @@
 clean_hardest: clean_rpms
 
 
-install: build manpage
+install: build
 	$(PYTHON) setup.py install -f
 
 install_hard: clean_hard install

=== debian/changelog ===
pynag (0.9.1+dfsg-1) unstable; urgency=medium

  * New Upstream release
  * Removing docs/_source/jquery.js and docs/_source/underscore.js per
    policy and lintian errors.
  * Bumping standards to 3.9.6, no changes necessary.

 -- Clint Byrum <spamaps@debian.org>  Tue, 04 Nov 2014 06:26:41 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Priority: optional
 Build-Depends: python (>= 2.6.6-3~), debhelper (>= 7.4.3)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.6
 Homepage: http://pynag.org
 Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pynag/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pynag/trunk/

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$// \
https://pypi.python.org/packages/source/p/pynag/pynag-(.*).tar.gz \
debian sh debian/repack.sh

## pynag 1.1.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION		= 0.9.1
+VERSION		= 1.1.2
 RELEASE		= 1
 DATE		= $(shell date)
 NEWRELEASE	= $(shell echo $$(($(RELEASE) + 1)))

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pynag.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pynag.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pynag"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pynag"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pynag (1.1.2+dfsg-2) unstable; urgency=medium

  * Team upload (to unstable).
  * Drop Python 2 package (Closes: #937487)
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Mon, 27 Jan 2020 10:51:59 +0200

pynag (1.1.2+dfsg-1) experimental; urgency=medium

  [ Stefano Rivera ]
  * Team upload (to experimental for NEW review).
  * New upstream release.
  * Describe the removal in debian/copyright's Files-Excluded field.
  * New BDs python-chardet, python-six.
  * Build with pybuild.
  * Build python 3 module.
  * Bump debhelper compat to 12, using B-D syntax.
  * Declare Rules-Requires-Root: no.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Update Source URL in copyright.
  * Use setuptools, so requires are generated by dh-python.

  [ Ondřej Nový ]
  * Fixed VCS URL (https)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * Convert git repository from git-dpm to gbp layout

 -- Stefano Rivera <stefanor@debian.org>  Wed, 08 Jan 2020 18:40:39 +0200

=== debian/control ===
Source: pynag
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Clint Byrum <spamaps@debian.org>,
 Pall Sigurdsson <palli@opensource.is>
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3,
 python3-chardet,
 python3-setuptools,
 python3-six
Standards-Version: 4.5.0
Homepage: http://pynag.org
Vcs-Git: https://salsa.debian.org/python-team/modules/pynag.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/pynag
Rules-Requires-Root: no

Package: python3-pynag
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python 3 Modules for Nagios plugins and configuration
 The main goal of this project is to provide a Python tool for
 pragmatically handling Nagios configuration file maintenance, and
 plugin development.

Package: pynag
Architecture: all
Depends: python3-pynag, ${misc:Depends}, ${python3:Depends}
Description: Command line interface to nagios configuration
 The main goal of this project is to provide a Python tool for
 pragmatically handling Nagios configuration file maintenance, and
 plugin development.
 .
 This package contains the executable program pynag which uses the
 pynag module to inspect and manipulate nagios configuration.

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://pypi.python.org/packages/source/p/pynag/pynag-(.*).tar.gz
